/* product-category.css */
.categories-section{
    background-color: #fff;
    padding: 40px 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
}

.categories-card{
   position: relative;
   width: 317px;
   height: 500px;
   border-radius: 20px;
   overflow: hidden;
}

.overlay{
    position: absolute;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 1;
}

.category-name{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    text-align: center;
}

.casual{
    background: url(../../images/products/casual.jpg) no-repeat center;
    background-size: cover;
}

.esporte{
    background: url(../../images/products/esporte.jpg) no-repeat
    center;
    background-size: cover;
}

.moderno{
    background: url(../../images/products/moderno.jpg) no-repeat
    center;
    background-size: cover;
}

.futurista{
    background: url(../../images/products/futurista.jpg) no-repeat
    center;
    background-size: cover;
}

@media screen and (max-width: 500px){
    .categories-card{
        width: 100%;
    }
}